---
updatedAt: 2026-10-07T13:23:48.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get Project Environments

Returns a list of existing environments for the specified project.


**Security:** Requires Project Admin or Platform Admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Environments API",
    "description": "Environment management APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n\n**Availability:** Artifactory 7.53.1+\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Environments",
      "description": "APIs for creating, renaming, deleting, and listing global and project environments in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/projects/{projectKey}/environments": {
      "get": {
        "tags": [
          "Environments"
        ],
        "summary": "Get Project Environments",
        "description": "Returns a list of existing environments for the specified project.\n\n\n**Security:** Requires Project Admin or Platform Admin privileges.\n",
        "operationId": "getProjectEnvironments",
        "parameters": [
          {
            "name": "projectKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The project key"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - Project not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```